//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "ControlsContainer.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWSwapPaneCtrl : public VWControlsContainer
		{
			friend class VWDialog;
		public:
							VWSwapPaneCtrl(TControlID id);
			virtual			~VWSwapPaneCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, bool bHasFrame=true);

		// events
		protected:
			virtual void			OnSetUpEvent();
			virtual void			OnSetDownEvent();
			virtual void			OnUpdateUI();
			virtual bool			CanEnableOK();
			virtual	void			OnDDXInitialize();

		// events dispatcher map
		protected:
			DEFINE_EVENT_DISPATH_MAP;
		};
	}
}